Deprecation warning: 'The "sys" module is now called "util".' #19

Closed
eagleflo opened this Issue Dec 15, 2011 · 3 comments

3 participants

@eagleflo

I get this deprecation warning whenever I use Mu in my projects with Node 0.6+. I tried manually changing the import in compiler.js from sys to util and everything seemed to work fine.

@tonylukasavage

I'm seeing the same thing. Would you accept a pull request for the relatively simple changes necessary to resolve this? Also, would you then update it in npm?

@tonylukasavage

Submitted a pull request to resolve this: #21

@raycmorgan
Owner

Fixed in master. Thanks for bringing this issue up. Master is now the v2 branch, please check the API changes.

@raycmorgan raycmorgan closed this Mar 9, 2012
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment